Package org.silverpeas.components.classifieds.servlets.handler

## Class ClassifiedValidationHandler

- java.lang.Object
- - org.silverpeas.components.classifieds.servlets.FunctionHandler
  - - org.silverpeas.components.classifieds.servlets.handler.ClassifiedValidationHandler

- Direct Known Subclasses:
    `ClassifiedRefuseHandler`, `ClassifiedValidateHandler`

      public abstract class ClassifiedValidationHandler
      extends FunctionHandler

  Handler takin in charge the validation of a classified.
  Author:
    mmoquillon

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.components.classifieds.servlets.FunctionHandler

      `ROOT_DESTINATION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassifiedValidationHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `nextDestination​(ClassifiedsSessionController classifiedsSC, org.silverpeas.core.web.http.HttpRequest request, String message)` | Once the validation (reject or accept) done, compute the next destination of the user web navigation.

    - ### Methods inherited from class org.silverpeas.components.classifieds.servlets.FunctionHandler

      `computeDestination, getDestination, getPublicationTemplate, getSubscriptionFields, isAnonymousAccess, setDataRecord`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassifiedValidationHandler

          public ClassifiedValidationHandler()

  - ### Method Detail

    - #### nextDestination

          protected final String nextDestination​(ClassifiedsSessionController classifiedsSC,
                                                 org.silverpeas.core.web.http.HttpRequest request,
                                                 String message)

      Once the validation (reject or accept) done, compute the next destination of the user web navigation.
      Parameters:
        `classifiedsSC` - the controller
        `request` - the HTTP request
        `message` - the message to print out to the user
      Returns:
        the URL of the web page to go to